package com.wechat.dao;

import java.util.ArrayList;

import org.springframework.stereotype.Repository;

import com.wechat.global.base.dao.RedisGeneratorDao;
import com.wechat.model.dto.HotelSubBrandDto;
@Repository
public class RedisHotelSubBrandDao extends RedisGeneratorDao<String, ArrayList<HotelSubBrandDto>> {
	private String tableKey = "RedisHotelSubBrandDao";

    public ArrayList<HotelSubBrandDto> selectMessageInfo(String infoKey) {
        return selectOne(tableKey, infoKey);
    }

    public void updateMessageInfo(String infoKey, ArrayList<HotelSubBrandDto> infoValue) {
        update(tableKey, infoKey, infoValue);
    }

    public void insertMessageInfo(String infoKey, ArrayList<HotelSubBrandDto> infoValue) {
        insert(tableKey, infoKey, infoValue);
    }

    public void deleteMessageInfo(String infoKey) {
        delete(tableKey, infoKey);
    }

}
